(function(lib, img, cjs, ss, an) {

    var p; // shortcut to reference prototypes
    lib.webFontTxtInst = {};
    var loadedTypekitCount = 0;
    var loadedGoogleCount = 0;
    var gFontsUpdateCacheList = [];
    var tFontsUpdateCacheList = [];
    lib.ssMetadata = [];



    lib.updateListCache = function(cacheList) {
        for (var i = 0; i < cacheList.length; i++) {
            if (cacheList[i].cacheCanvas)
                cacheList[i].updateCache();
        }
    };

    lib.addElementsToCache = function(textInst, cacheList) {
        var cur = textInst;
        while (cur != exportRoot) {
            if (cacheList.indexOf(cur) != -1)
                break;
            cur = cur.parent;
        }
        if (cur != exportRoot) {
            var cur2 = textInst;
            var index = cacheList.indexOf(cur);
            while (cur2 != cur) {
                cacheList.splice(index, 0, cur2);
                cur2 = cur2.parent;
                index++;
            }
        } else {
            cur = textInst;
            while (cur != exportRoot) {
                cacheList.push(cur);
                cur = cur.parent;
            }
        }
    };

    lib.gfontAvailable = function(family, totalGoogleCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], gFontsUpdateCacheList);

        loadedGoogleCount++;
        if (loadedGoogleCount == totalGoogleCount) {
            lib.updateListCache(gFontsUpdateCacheList);
        }
    };

    lib.tfontAvailable = function(family, totalTypekitCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], tFontsUpdateCacheList);

        loadedTypekitCount++;
        if (loadedTypekitCount == totalTypekitCount) {
            lib.updateListCache(tFontsUpdateCacheList);
        }
    };
    // symbols:
    // helper functions:

    function mc_symbol_clone() {
        var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
        clone.gotoAndStop(this.currentFrame);
        clone.paused = this.paused;
        clone.framerate = this.framerate;
        return clone;
    }

    function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
        var prototype = cjs.extend(symbol, cjs.MovieClip);
        prototype.clone = mc_symbol_clone;
        prototype.nominalBounds = nominalBounds;
        prototype.frameBounds = frameBounds;
        return prototype;
    }


    (lib.scatterwinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Text
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(151, 2);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 169;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.scatterwinmessageloc, new cjs.Rectangle(0, 0, 322.7, 35.9), null);


    (lib.scatterplusbonuswinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Text
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(219.2, 2);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 292;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.scatterplusbonuswinmessageloc, new cjs.Rectangle(0, 0, 390.9, 35.9), null);


    (lib.multiwaywinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Text
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(120, 2);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 180;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.multiwaywinmessageloc, new cjs.Rectangle(0, 0, 291.8, 35.9), null);


    (lib.MessageBox = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#0000FF").s().p("EhGZACPIAAkdMCMyAAAIAAEdg");
        this.shape.setTransform(450.6, 15.2);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.MessageBox, new cjs.Rectangle(0, 0.9, 901.1, 28.5), null);


    (lib.lineplusbonuswinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Label
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(189, 2);

        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 219;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.label
            }, {
                t: this.textField
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.lineplusbonuswinmessageloc, new cjs.Rectangle(0, 0, 360.7, 35.9), null);


    (lib.insufficientFundsPlaque = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 2
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#CCCCCC").s().p("EgmiAC8QgQgVgCgjMBNoAAAQgBAjgQAVgEgm0ABSIAAg4MBNpAAAIAAA4gEgm0gAZIAAg4MBNpAAAIAAA4gEgm0gCCIAAgaIABgHIAAgJIABgPMBNWAAAQAKANAEATIADAJIAAAQg");
        this.shape.setTransform(254.5, 28.1);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // Layer 3
        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("#D4D4D4").s().p("EglSADcQhiAAAAhhIAAkXIABgHIAAgJQAAgvAuAAMApKAAAIAIAAMAiGAAAQBQgBAPBBIADAJIAAENQAABhhiAAg");
        this.shape_1.setTransform(254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

        // Layer 7
        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.lf(["#DDDDDD", "#898E8E"], [0, 1], 113.3, 135.8, -113.4, -135.7).s().p("EAlTADrMhKlAAAQg4AAgcgdQgdgbAAg4IAAkXIAAgCIAAAAIABgFIAAgJQAAg+A9AAMApKAAAIAIAAMAiHAAAQBdgBAQBNIAAAAIACAGIAAAAIABAGIAAENQAAA4gdAbQgcAdg4AAIAAAAg");
        this.shape_2.setTransform(254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

        // Layer 4
        this.shape_3 = new cjs.Shape();
        this.shape_3.graphics.lf(["#DDDDDD", "#A9ADAD"], [0, 1], 182.7, -73.9, -182.7, 74).s().p("EglSAEJQiPAAAAiOIAAkeIABAAIAAgJQAAhcBbAAMApKAAAIAIAAMAiGAAAQB4gBATBmIAEEeQAACOiPAAg");
        this.shape_3.setTransform(254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.shape_3).wait(1));

        // Layer 5
        this.shape_4 = new cjs.Shape();
        this.shape_4.graphics.lf(["#A2A2A2", "#C0C0C0"], [0, 1], 15.1, 72, -15.1, -71.9).s().p("EglSAEYQiRAAgMiFIgBAAIAAkMIABgVIAAgeQAAhrBqAAMApKAAAIAIAAIHvAAINLAAIGQAAIG9AAQCdgBAACfIAAEMIgBAAQgLCFiRAAg");
        this.shape_4.setTransform(254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.shape_4).wait(1));

    }).prototype = getMCSymbolPrototype(lib.insufficientFundsPlaque, new cjs.Rectangle(0, 0, 509, 56), null);


    (lib.goodluckmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 26;
        this.label.lineWidth = 139;
        this.label.parent = this;
        this.label.setTransform(0, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.goodluckmessageloc, new cjs.Rectangle(-71.5, 0, 143, 35.9), null);


    (lib.gamewinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Text
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(96, 2);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 128;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.gamewinmessageloc, new cjs.Rectangle(0, 0, 267.8, 35.9), null);


    (lib.gameovermessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 141;
        this.label.parent = this;
        this.label.setTransform(-70.5, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.gameovermessageloc, new cjs.Rectangle(-72.5, 0, 145.1, 35.9), null);


    (lib.bonuswinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Text
        this.textField = new cjs.Text("XXXXXXXXXX", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.lineHeight = 26;
        this.textField.lineWidth = 170;
        this.textField.parent = this;
        this.textField.setTransform(139.9, 2);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // Label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.lineHeight = 26;
        this.label.lineWidth = 166;
        this.label.parent = this;
        this.label.setTransform(2, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.bonuswinmessageloc, new cjs.Rectangle(0, 0, 311.6, 29.8), null);


    (lib.autospinmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // label
        this.label = new cjs.Text("???", "bold 19px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 26;
        this.label.lineWidth = 125;
        this.label.parent = this;
        this.label.setTransform(0, 2);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autospinmessageloc, new cjs.Rectangle(-64.6, 0, 129.2, 35.9), null);


    (lib.nofundsmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // label
        this.label = new cjs.Text("???", "bold 18px 'Futura Cdnsd BoldEuro LocCur'");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 23;
        this.label.lineWidth = 338;
        this.label.parent = this;
        this.label.setTransform(176.8, 11.7);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // insufficientFundsPlaque
        this.instance = new lib.insufficientFundsPlaque();
        this.instance.parent = this;
        this.instance.setTransform(177, 28, 0.695, 1, 0, 0, 0, 254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.nofundsmessageloc, new cjs.Rectangle(0, 0, 354, 56), null);


    (lib.insufficientfundsmessageloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // label
        this.label = new cjs.Text("???", "bold 18px 'Futura Cdnsd BoldEuro LocCur'");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 23;
        this.label.lineWidth = 338;
        this.label.parent = this;
        this.label.setTransform(176.8, 12.7);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // insufficientFundsPlaque
        this.instance = new lib.insufficientFundsPlaque();
        this.instance.parent = this;
        this.instance.setTransform(177, 28, 0.695, 1, 0, 0, 0, 254.5, 28);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.insufficientfundsmessageloc, new cjs.Rectangle(0, 0, 354, 56), null);


    (lib.messages = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // no funds message
        this.noFundsMessage = new lib.nofundsmessageloc();
        this.noFundsMessage.parent = this;
        this.noFundsMessage.setTransform(543, 313);

        this.timeline.addTween(cjs.Tween.get(this.noFundsMessage).wait(1));

        // insufficient funds message
        this.insufficientFundsMessage = new lib.insufficientfundsmessageloc();
        this.insufficientFundsMessage.parent = this;
        this.insufficientFundsMessage.setTransform(543, 313);

        this.timeline.addTween(cjs.Tween.get(this.insufficientFundsMessage).wait(1));

        // bounding box
        this.messageBox = new lib.MessageBox();
        this.messageBox.parent = this;
        this.messageBox.setTransform(66, 595.8);
        this.messageBox.alpha = 0;

        this.timeline.addTween(cjs.Tween.get(this.messageBox).wait(1));

    }).prototype = getMCSymbolPrototype(lib.messages, new cjs.Rectangle(66, 313, 901.1, 319.4), null);


    // stage content:
    (lib.Messages = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // messages
        this.messages = new lib.messages();
        this.messages.parent = this;
        this.messages.setTransform(516.5, 469.1, 1, 1, 0, 0, 0, 516.5, 469.1);

        this.timeline.addTween(cjs.Tween.get(this.messages).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(786, 718, 901.1, 312.3);
    // library properties:
    lib.properties = {
        width: 1440,
        height: 810,
        fps: 24,
        color: "#999999",
        opacity: 1.00,
        webfonts: {},
        manifest: [],
        preloads: []
    };




})(Messages = Messages || {}, images = images || {}, createjs = createjs || {}, ss = ss || {}, AdobeAn = AdobeAn || {});
var Messages, images, createjs, ss, AdobeAn;